EVP_CIPHER-CHACHA - The CHACHA EVP_CIPHER implementations Support for CHACHA symmetric encryption using the EVP_CIPHER API.

Algorithm Names
The following algorithms are available in the default provider:

Parameters
This implementation supports the parameters described in "PARAMETERS" in EVP_EncryptInit(3). provider-cipher(7), OSSL_PROVIDER-default(7) Copyright 2021 The OpenSSL Project Authors. All Rights Reserved. Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.